/*
Theme Name: HiredSupport
Theme URI: https://www.hiredsupport.com
Author: Hired Support
Author URI: https://www.hiredsupport.com
Description: Custom WordPress theme developed for Hired Support.
Version: 1.0
Template: generatepress
Text Domain: hiredsupport
*/


 
/* ===== Single Blog Layout ===== */
.single.single-post {
    overflow: clip;
}

.hs-single-wrapper {
    max-width: 1440px;
    margin: auto;
    padding: 160px 20px;
    display: grid;
    grid-template-columns: 235px 1fr 430px;
    gap: 30px;
}


/* LEFT & RIGHT STICKY WRAPPERS */
.hs-single-left-wrapper,
.hs-single-right-wrapper {
    position: relative;
}

.hs-single-left,
.hs-single-right {
    position: sticky;
    top: 120px;
    align-self: start;
    max-height: calc(100vh - 300px);
    overflow-y: auto;
}

/* LEFT */
.hs-single-left {
    background: #f7f7f7;
    padding: 15px;
    border-radius: 8px;
}

.hs-single-wrapper .hs-single-toc-arrow{
transform: scaleX(1.7) !important;
display: inline-block;
font-weight:700;

}

/* Hide the checkbox */
.hs-single-wrapper .toc-toggle {
    display: none;
}











/* MIDDLE */
.hs-single-middle {
    min-width: 0;
}

.hs-single-categories {
    font-size: 16px;
    display: inline-block;
    color: #614ef8 !important;
    padding: 3px 13px !important;
    border-radius: 15px !important;
    background: #f5f4ff !important;
}

.hs-single-title {
    font-size: 56px;
    line-height: 56px;
    font-weight: 700;
    margin: 15px 0 25px;
}

/* META */
.hs-single-meta {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #ddd;
    padding-bottom: 15px;
    margin-bottom: 25px;
}

.hs-single-author {
    display: flex;
    align-items: center;
    gap: 12px;
}

.hs-single-author img {
    border-radius: 50%;
    width:48px;
    height:48px;	
}

/* COPY BUTTON */
.hs-single-copy-btn {
    background: #614ef8;
    color: #fff!important;
    border: none;
    padding: 10px 18px;
    border-radius: 6px;
    cursor: pointer;
    font-weight: 600;
    text-decoration: none;
}


/* CONTENT */
.hs-single-content {
    font-size: 16px;
    line-height: 1.75;
}

/* RIGHT – CONTACT */
.hs-single-right {
    background: #000;
    color: #fff;
    padding: 35px;
    border-radius: 12px;
}

.hs-single-right a {
    font-size: 24px;
    line-height: 30px;
    color: #fff;
    text-decoration: none;
}

.hs-single-right a:hover {
    text-decoration: underline;
}

/* Contact Form 7 */
.hs-single-right .wpcf7 {
    padding-top: 20px;
}

.hs-single-right .wpcf7 form.sent .wpcf7-response-output {
    border-color: #46b450;
    color: #fff;
}

.hs-single-right input {
    width: 100%;
    padding: 13px 20px;
    background: #fff !important;
    font-size: 14px;
}

.hs-single-right .form-group.half-cl {
    display: flex !important;
    gap: 8px;
}
 .hs-single-right input {
    border-radius: 8px;
     width: 100%;
    padding: 13px 20px;
    background: #fff !important;
    font-size: 14px;
}

.hs-single-right .smt-sngl-pst {
    color: #fff;
    background: #614ef8 !important;
    font-weight: 500;
    border-width: 0;
}
.hs-single-right .text-center.mt-5{

margin:0;
}
/* ==============================
   CUSTOM TOC STYLE
============================== */
.hs-single-toc ul {
    list-style: none;
    padding-left: 0;
    margin: 0;
}

.hs-single-toc li {
    margin-bottom: 8px;
    font-size: 14px;
}

.hs-single-toc li.hs-h3 {
    margin-left: 16px;
    font-size: 13px;
}

.hs-single-toc a {
    color: #333;
    text-decoration: none;
}

.hs-single-toc a:hover {
    color: #614ef8;
}

.hs-single-toc-title label {
    font-size: 12px !important;
    font-weight: 900;
    text-transform: uppercase;
    line-height: 28px;
    display: flex;
    justify-content: space-between;

}

/* ==============================
   POST CONTENT
============================== */
h1.hs-single-title {
    margin: 20px 0 40px !important;
}

.hs-single-content h2,
.hs-single-content h3,
.hs-single-content h4,
.hs-single-content h5,
.hs-single-content h6 {
    margin: 35px 0 !important;
    font-weight: 600 !important;
}

.hs-single-content h2 { font-size: 40px; }
.hs-single-content h3 { font-size: 36px; }
.hs-single-content h4 { font-size: 32px; }
.hs-single-content h5 { font-size: 28px; }

.hs-single-content .wp-block-image {
    margin-bottom: 16px;
    
}
.hs-single-content .wp-block-image img{
border-radius: 8px;    
}


.hs-single-content a {
    color: #614ef8 !important;
    text-decoration: underline !important;
    text-decoration-thickness: 2px !important;
    text-underline-offset: 4px !important;
}

.hs-single-content strong {
    color: #000;
}

/* UL */
.hs-single-content ul {
    display: block;
    margin:0;
}

.hs-single-content ul li {
    list-style: none;
    position: relative;
    padding-left: 20px;
}

.hs-single-content ul li::before {
    content: "";
    position: absolute;
    top: 0.8em;
    left: 0;
    width: 8px;
    height: 8px;
    background: #614ef8;
    border-radius: 50%;
    transform: translateY(-50%);
}

/* OL */
.hs-single-content ol {
    counter-reset: list-counter;
    list-style: none;
    padding-left: 0;
    margin:0;
}

.hs-single-content ol li {
    counter-increment: list-counter;
    margin-bottom: 5px;
    display: flex;
    gap: 5px;
    color: #614ef8;
}

.hs-single-content ol li::before {
    content: counter(list-counter) ". ";
    font-weight: 500;
}



/*BOTTOM AUTHOR BOX*/

.single .hs-author-card {
    display: flex;
    align-items: center;
    gap: 20px;
    background: #F8F8F9;
    padding: 28px;
    border-radius: 16px;
    margin: 60px 0 0 0;
}

.single  .hs-author-left {
    display: flex;
    align-items: center;
    gap: 5px;
}
.single .hs-author-left img {
    width: 54px;
    height: 54px;
    border-radius: 50%;
}

.single .hs-author-name {
    font-size: 16px;
    font-weight: 400;
    margin:0;
}

.single .hs-author-desc {
    font-size: 15px;
    line-height: 1.7;
    color: #555;
    margin: 35px 0 45px;
    max-width: 720px;
}

.single .hs-author-cta {
    display: inline-block;
       background-color: #614EF8;
    font-size: 14px;
    font-weight: 700;
    line-height: 24px;
    color: #FFFFFF;
    border-radius: 8px 8px 8px 8px;
    padding: 13px 60px 13px 60px;
    text-decoration:none!important;
}


/* =====================
   HSRP RELATED POSTS start
===================== */

.hsrp-wrapper {
    margin: 0px auto 80px;
    max-width: 1230px;
    padding: 0 30px;
}

.hsrp-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 32px;
}

.hsrp-title {
    font-size: 32px;
    font-weight: 700;
}

.hsrp-viewall {
    font-size: 16px;
    font-weight: 600;
    color: #6c4cff;
    text-decoration: none;
}

.hsrp-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 24px;
}

.hsrp-card {
    background: #ffffff;
    border-radius: 14px;
    overflow: hidden;
    border:1px solid #EEEEEE;
    }
.hsrp-card a{
        text-decoration:none;

}


.hsrp-thumb img {
    width: 100%;
    height: 220px;
    object-fit: cover;
    display: block;
}

.hsrp-post-title {
    padding: 20px;
    font-size: 18px;
    font-weight: 600;
    line-height: 1.4;
    color: #614ef8;
}


/* ****PURE TABLE POST CSS START ***** */
.pure-table-post{
	min-height:250px!important;
}
.pure-table-post span{
    margin: 0 !important;
}

.pure-table-post p{
    margin: 0 !important;
}

.pure-table-post a{
    color: #614EF8;
    text-decoration: underline !important;
    text-decoration-thickness: 2px !important;
    text-underline-offset: 4px !important;
}

.pure-table-post .scrl-br span{
    white-space: nowrap;
}

/* General overflow styling */
.pure-table-post .scrl-br {
    overflow: auto;
}
.pure-table-post .scrl-br::-webkit-scrollbar-track{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.1);
    background-color: #f1f1f1;
    border-radius: 10px;
}

.pure-table-post .scrl-br::-webkit-scrollbar{
    width: 100%;
    height: 4px;
    background-color: #f1f1f1;
    border-radius: 10px;
}

.pure-table-post .scrl-br::-webkit-scrollbar-thumb{
    border-radius: 10px;
    background-color: #c1c1c1;
}

.pure-table-post a:hover{
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-underline-offset: 3px;
}
.pure-table-post-shadow {
    
       box-shadow: rgba(0, 0, 0, 0.4) 10px 2px 4px, rgba(0, 0, 0, .9) 0px 7px 8px -3px, rgba(0, 0, 0, .3) 0px -3px 0px inset;
       
}

.pure-table-post-shadow>.e-con-inner{
    box-shadow:rgb(255, 255, 255,.3) 0px 0px 0px 2px inset;
}


/* ****PURE TABLE POST CSS END ***** */






/* =====================
   RESPONSIVE related post section
===================== */

@media (max-width: 1024px) {
    .hsrp-title {
        font-size: 28px;
        flex:1;
    }

    .hsrp-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 640px) {
    .hsrp-header {
        flex-direction: row;
        align-items: center;
        gap: 10px;
    }

    .hsrp-grid {
        grid-template-columns: 1fr;
    }

    .hsrp-thumb img {
        height: 180px;
    }
    /* ****PURE TABLE POST CSS start mobile ***** */

	
 .pure-table-post{
        overflow-x: auto;
    }

    .pure-table-post > .e-con-inner{
        width: 500px;
        max-width: 500px;
    }
	

/* ****PURE TABLE POST CSS END mobile ***** */
}

/* =====================
   HSRP RELATED POSTS end
===================== */





/* ==============================
   RESPONSIVE
============================== */

/* Tablet */
@media (max-width: 1024px) {
    .hs-single-wrapper {
        grid-template-columns: 1fr;
    }

    .hs-single-left,
    .hs-single-right {
        position: relative;
        top: unset;
        max-height: unset;
    }

    .hs-single-left-wrapper {
        margin-top: 40px;
    }

    .hs-single-right-wrapper {
        order: 2;
    }
    
    


/* Initial TOC hidden */
.hs-single-wrapper .hs-single-toc {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s ease;
}

/* When checkbox is checked, show TOC */
.hs-single-wrapper .toc-toggle:checked + .hs-single-toc-title + .hs-single-toc {
    max-height: 1000px; /* enough to fit content */
}

/* Arrow rotation */
.hs-single-wrapper .hs-single-wrapper .hs-single-toc-arrow {
    display: inline-block;
    transition: transform 0.4s ease;
}

.hs-single-wrapper .toc-toggle:checked + .hs-single-toc-title label .hs-single-toc-arrow {
    transform: rotate(180deg);
}



    
    
    

    .hs-single-middle {
        order: 1;
    }
    
    
    
}

/* Mobile */
@media (max-width: 767px) {
    .hs-single-wrapper {
        padding: 80px 15px 130px 15px;
       
    }

    .hs-single-title {
        font-size: 36px;
        line-height: 1.2;
    }

    .hs-single-meta {
        flex-direction: column;
        align-items: flex-start;
        gap: 15px;
    }

    .hs-single-copy-btn {
        width: 100%;
        text-align: center;
    }

    .hs-single-left,
    .hs-single-right {
        padding: 20px;
    }
  .hs-single-left{
  padding: 16px 30px ;
    }

    .hs-single-toc-title {
        cursor: pointer;
                    background:#f7f7f7!important;

    }
      .hs-author-card {
        flex-direction: column;
        
    }
}